IntelliCAD 11.1 Object Library | |
AddSolid Method | |
See Also |
- Point1
- A Point object specifying the coordinate location of the first solid vertex.
- Point2
- A Point object specifying the coordinate location of the second solid vertex.
- Point3
- A Point object specifying the coordinate location of the third solid vertex.
- Point4
- A Point object specifying the coordinate location of the fourth solid vertex.
PaperSpace Collection : AddSolid Method |
Description
Adds a two-dimensional wolid polygon.
Syntax
Parameters
- Point1
- A Point object specifying the coordinate location of the first solid vertex.
- Point2
- A Point object specifying the coordinate location of the second solid vertex.
- Point3
- A Point object specifying the coordinate location of the third solid vertex.
- Point4
- A Point object specifying the coordinate location of the fourth solid vertex.
Example
Private Sub AddSolid_Example()
Dim solidObj As IntelliCAD.Solid
Dim pt1, pt2, pt3, pt4 As Point
Set myDoc = ActiveDocument
Set pt1 = Library.CreatePoint(1, 1, 0)
Set pt2 = Library.CreatePoint(3, 3, 0)
Set pt3 = Library.CreatePoint(4, 2, 0)
Set pt4 = Library.CreatePoint(3, 1, 0)
' Create the solid object in model space
Set solidObj = ThisDocument.ModelSpace.AddSolid(pt1, pt2, pt3, pt4)
solidObj.Update
ThisDocument.Application.ZoomExtents
End Sub